Name:    iotop
Version: 0.6
Release: 26
Summary: Simple top-like I/O monitor
License: GPLv2+
URL:     http://guichaz.free.fr/iotop/

Source0: http://guichaz.free.fr/iotop/files/%{name}-%{version}.tar.bz2

BuildArch: noarch
BuildRequires: python3-devel 

Patch1:  0001-Switch-from-python-to-python3.patch
Patch2:  0002-Fix-build-error-with-Python-3-caused-by-itervalues-i.patch
Patch3:  0003-Only-split-proc-status-lines-on-the-character.patch
Patch4:  0004-Ignore-invalid-lines-in-proc-status-files.patch
Patch5:  0005-Actually-skip-invalid-lines-in-proc-status.patch
Patch6:  0006-replace-powerpc-with-ppc-in-ioprio.py.patch
Patch7:  0007-add-aarch64-prio-in-ioprio.py.patch
Patch8:  0008-Print-the-titles-at-specific-locations.patch
Patch9:  0009-Improve-the-message-that-is-printed-when-Linux-tasks.patch
Patch10: 0010-Fix-crash-due-to-syntax-error.patch
Patch11: 0011-Use-monotonic-time-to-calculate-durations.patch
Patch12: 0012-riscv-Add-riscv64-support.patch
Patch13: 0013-loongarch64-add-loongarch64-support.patch

%description
iotop watches I/O usage information output by the Linux kernel (requires 2.6.20 or later) and
displays a table of current I/O usage by processes or threads on the system. At least the
CONFIG_TASK_DELAY_ACCT, CONFIG_TASK_IO_ACCOUNTING, CONFIG_TASKSTATS and CONFIG_VM_EVENT_COUNTERS
options need to be enabled in your Linux kernel build configuration.

iotop displays columns for the I/O bandwidth read and written by each process/thread during the
sampling period. It also displays the percentage of time the thread/process spent while swapping in and
while waiting on I/O. For each process, its I/O priority (class/level) is shown.

%package help
Summary: Including man files for iotop
Requires: man

%description help
This contains man files for the using of iotop

%prep
%autosetup -n %{name}-%{version} -p1

%build
%py3_build

%install
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot} --install-scripts=%{_sbindir}

%files
%doc README
%license COPYING
%{python3_sitelib}/*
%{_sbindir}/iotop

%files help
%{_mandir}/man8/iotop.*

%changelog
* Tue Jul 2 2024 cenhuilin <cenhuilin@kylinos.cn> - 0.6-26
- loongarch64: add loongarch64 support

* Sun Sep 17 2023 Mingzheng Xing <xingmingzheng@iscas.ac.cn> - 0.6-25
- riscv: Add riscv64 support

* Tue Jul 26 2022 wangzhiqiang <wangzhiqiang95@huawei.com> - 0.6-24
- DESC: specify the installation path as usr/sbin

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 0.6-23
- DESC: delete -S git from %autosetup, and delete BuildRequires git

* Sun Jul 12 2020 Zhiqiang Liu <liuzhiqiang26@huawei.com> - 0.6-22
- backport some bugfix patches

* Wed Jul 1 2020 Wu Bo <wubo009@163.com> - 0.6-21
- rebuild package

* Fri Jan 10 2020 sunshihao <sunshihao@huawei.com> - 0.6-20
- Type:enhancemnet
- ID:NA
- SUG:NA
- DESC:update iotop

* Sat Aug 31 2019 Miaohe Lin <linmiaohe@huawei.com> - 0.6-19
- Type:enhancemnet
- ID:NA
- SUG:NA
- DESC:openEuler Debranding

* Wed Aug 21 2019 wubo <wubo40@huawei.com> - 0.6-18.h2
- change patch name

* Mon Feb 11 2019 wangjia <wangjia55@huawei.com> - 0.6-18.h1
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:fix prio field for ppc and aarch64
       fix data value unpack with latest kernels
- Package init

